packet_type: framework_reference_sources
packet_version: 1
scope: backend_frameworks
last_refresh_utc: 2026-05-17T14:55:10.860Z
sources:
  - id: node
    name: Node.js
    type: metadata_reference
    url: https://nodejs.org/docs/latest/api/
    local_path: ai/references/backend-frameworks/docs/node-reference.md
    refresh_policy: Refresh deliberately when Node runtime version changes or daemon/process/stream behavior is in scope.
    version_applicability: Applies to the active local Node runtime unless latest-docs work is explicitly requested.
    use_for:
      - Runtime modules, daemon/service code, child process handling, streams, filesystem, HTTP, and testing utilities.
  - id: typescript
    name: TypeScript
    type: metadata_reference
    url: https://www.typescriptlang.org/docs/
    local_path: ai/references/backend-frameworks/docs/typescript-reference.md
    refresh_policy: Refresh deliberately when TypeScript version changes or strict type-system behavior is in scope.
    version_applicability: Applies to the installed TypeScript 5.9 line unless package.json changes or latest-docs work is explicitly requested.
    use_for:
      - Type-safety, narrowing, strictness, public types, and generated type surfaces.
  - id: nestjs
    name: NestJS
    type: metadata_reference
    url: https://docs.nestjs.com/
    local_path: ai/references/backend-frameworks/docs/nestjs-reference.md
    refresh_policy: Refresh deliberately when NestJS version changes or module/provider/resolver/testing behavior is in scope.
    version_applicability: Applies to the installed NestJS 11.x line unless package.json changes or latest-docs work is explicitly requested.
    use_for:
      - Modules, providers, resolvers, guards, testing, and backend structure.
  - id: socketio
    name: Socket.IO
    type: metadata_reference
    url: https://socket.io/docs/v4/
    local_path: ai/references/backend-frameworks/docs/socketio-reference.md
    refresh_policy: Refresh deliberately when Socket.IO version changes or acknowledgements/reconnect/delivery behavior is in scope.
    version_applicability: Applies to the installed Socket.IO 4.x line unless package.json changes or latest-docs work is explicitly requested.
    use_for:
      - Socket.IO invalidation, rooms, acknowledgements, connection state recovery, delivery guarantees, and client reconnect behavior.
